/*
 * WebApiSegura Token JWT XrmAPI
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: v1
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.swagger.client.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;


/**
 * LDAPLoginRequest
 */

public class LDAPLoginRequest {
  @SerializedName("user")
  private String user = null;

  @SerializedName("ou")
  private String ou = null;

  @SerializedName("password")
  private String password = null;

  @SerializedName("newpassword")
  private String newpassword = null;

  @SerializedName("seguimiento_contratacionid")
  private String seguimiento_contratacionid = null;

  public LDAPLoginRequest user(String user) {
    this.user = user;
    return this;
  }

   /**
   * Get user
   * @return user
  **/
  @ApiModelProperty(value = "")
  public String getUser() {
    return user;
  }

  public void setUser(String user) {
    this.user = user;
  }

  public LDAPLoginRequest ou(String ou) {
    this.ou = ou;
    return this;
  }

   /**
   * Get ou
   * @return ou
  **/
  @ApiModelProperty(value = "")
  public String getOu() {
    return ou;
  }

  public void setOu(String ou) {
    this.ou = ou;
  }

  public LDAPLoginRequest password(String password) {
    this.password = password;
    return this;
  }

   /**
   * Get password
   * @return password
  **/
  @ApiModelProperty(value = "")
  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

  public LDAPLoginRequest newpassword(String newpassword) {
    this.newpassword = newpassword;
    return this;
  }

   /**
   * Get newpassword
   * @return newpassword
  **/
  @ApiModelProperty(value = "")
  public String getNewpassword() {
    return newpassword;
  }

  public void setNewpassword(String newpassword) {
    this.newpassword = newpassword;
  }

  public LDAPLoginRequest seguimiento_contratacionid(String seguimientoContratacionid) {
    this.seguimiento_contratacionid = seguimientoContratacionid;
    return this;
  }

   /**
   * Get seguimiento_contratacionid
   * @return seguimiento_contratacionid
  **/
  @ApiModelProperty(value = "")
  public String getSeguimiento_contratacionid() {
    return seguimiento_contratacionid;
  }

  public void setSeguimiento_contratacionid(String seguimientoContratacionid) {
    this.seguimiento_contratacionid = seguimientoContratacionid;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LDAPLoginRequest ldAPLoginRequest = (LDAPLoginRequest) o;
    return Objects.equals(this.user, ldAPLoginRequest.user) &&
        Objects.equals(this.ou, ldAPLoginRequest.ou) &&
        Objects.equals(this.password, ldAPLoginRequest.password) &&
        Objects.equals(this.newpassword, ldAPLoginRequest.newpassword) &&
        Objects.equals(this.seguimiento_contratacionid, ldAPLoginRequest.seguimiento_contratacionid);
  }

  @Override
  public int hashCode() {
    return Objects.hash(user, ou, password, newpassword, seguimiento_contratacionid);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LDAPLoginRequest {\n");
    
    sb.append("    user: ").append(toIndentedString(user)).append("\n");
    sb.append("    ou: ").append(toIndentedString(ou)).append("\n");
    sb.append("    password: ").append(toIndentedString(password)).append("\n");
    sb.append("    newpassword: ").append(toIndentedString(newpassword)).append("\n");
    sb.append("    seguimiento_contratacionid: ").append(toIndentedString(seguimiento_contratacionid)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

